# $Revision: 1.21 $, $Date: 2006/10/29 21:56:01 $
Summary:	KleanSweep - KDE-based (C++) graphical frontend and script that performs actual searching
Summary(pl):	KleanSweep - graficzny interjes oparty na KDE i skrypt wykonujcy poszukiwania
Name:		kleansweep
Version:	0.2.9
Release:	1
License:	GPL
Group:		Applications/System
Source0:	http://linux.bydg.org/~yogin/%{name}-%{version}.tar.bz2
# Source0-md5:	eb4530dc77fbe35ede8267e89275e5e9
URL:		http://linux.bydg.org/~yogin/
BuildRequires:	docbook-dtd-sgml
BuildRequires:	docbook-style-dsssl
BuildRequires:	kdelibs-devel >= 9:3.0
BuildRequires:	perl-base
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	scons
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KleanSweep consists of KDE-based (C++) graphical frontend and small
helper Perl script that performs actual searching. All searches,
except for orphaned files, duplicates and dead menu entires are as
fast as usual 'find' would be. KleanSweep requires KDE libraries and
Perl. Note: Author takes no responsibility for any damage caused by
this program. You can rate this project at kde-apps.org.

%description -l pl
KleanSweep skada si z graficznego interfejsu opartego na KDE i
maego skryptu pomocniczego w Perlu, ktry wykonuje poszukiwania.
Wszystkie poszukiwania, za wyjtkiem osieroconych plikw,
zduplikowanych i martwych wpisw menu, s tak szybkie, jak tylko moe
by zwyke "szukanie". KleanSweep wymaga bibliotek KDE i Perla. Uwaga:
Autor nie bierze odpowiedzialnoci za jakiekolwiek uszkodzenia
spowodowane tym programem. Na ten projekt mona gosowa na
kde-apps.org.

%prep
%setup -q

%build
export CXXFLAGS="%{rpmcflags}"
export QTDIR="%{_usr}"

scons configure \
	qtincludes=%{_includedir}/qt \
	prefix=%{_prefix} %{?debug:debug=full} \
%if "%{_lib}" == "lib64"
	libsuffix=64 \
%endif
	qtlibs=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

DESTDIR=$RPM_BUILD_ROOT scons install

mv -f $RPM_BUILD_ROOT%{_datadir}/applnk/System/%{name}.desktop $RPM_BUILD_ROOT%{_desktopdir}
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_iconsdir}/hicolor/*/apps/*.png
%dir %{_datadir}/apps/%{name}
%{_datadir}/apps/%{name}/*.png
%{_datadir}/apps/%{name}/%{name}-rules
%{_datadir}/apps/%{name}/%{name}-blacklist
%{_desktopdir}/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kleansweep.spec,v $
Revision 1.21  2006/10/29 21:56:01  shadzik
- 0.2.9

Revision 1.20  2006/10/23 07:59:15  glen
- package language files

Revision 1.19  2006/10/23 07:57:04  glen
- missing dir

Revision 1.18  2006/10/23 07:56:31  glen
- kdelibs epoch

Revision 1.17  2006/10/23 07:46:58  wolvverine
- correct R

Revision 1.16  2006/09/02 18:57:38  rotom
- up to 0.2.8

Revision 1.15  2006/04/27 20:52:20  blekot
- 0.2.7

Revision 1.14  2006/03/16 22:17:21  blekot
- up to 0.2.6

Revision 1.13  2006/01/11 23:18:21  blekot
- up to 0.2.4

Revision 1.12  2005/11/11 17:36:19  blekot
- up to 0.2.1

Revision 1.11  2005/10/20 11:28:14  blekot
- rel 0.1.9 (bugs in desktop file fixed)

Revision 1.10  2005/10/10 22:38:25  blekot
- rel 2 (builds on amd64)
- STBR

Revision 1.9  2005/10/10 22:33:03  blekot
- amd64 fix (maybe it working) STBR/test

Revision 1.8  2005/10/10 08:04:35  qboosh
- rpm-build requires just sed, not sed >= 4

Revision 1.7  2005/10/09 12:55:13  adamg
- better pl summary

Revision 1.6  2005/10/09 12:50:11  adamg
- do not BR: sed, it's already required by rpm-build

Revision 1.5  2005/10/09 12:36:34  blekot
- up to 0.1.8
- small fix to .desktop file (extension fix)

Revision 1.4  2005/09/21 21:48:37  qboosh
- shorter summaries, pl fixes, mv fixes, BR s/perl/perl-base/

Revision 1.3  2005/09/17 16:10:06  blekot
- pl

Revision 1.2  2005/09/17 15:52:31  blekot
- up to 0.1.5 (added desktop file)
- added Categories to .desktop file and mv it to %{desktopdir}

Revision 1.1  2005/09/17 14:19:19  blekot
- new, builds
- TODO: write (pl) Desc and Summary
- check BR's
